const express = require('express');

const regionApp = express();

const libs = `${process.cwd()}/libs`;

const squel = require('squel');

const query = require(`${libs}/middlewares/query`);

const response = require(`${libs}/middlewares/response`);

regionApp.get('/', (req, res, next) => {
    req.sql.from('regioes');
    next();
}, query, response('region'));

regionApp.get('/:id', (req, res, next) => {
    req.sql.from('regioes')
        .where('pk_regiao_id = ?', parseInt(req.params.id, 10));
    next();
}, query, response('region'));

module.exports = regionApp;
